% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_transformation.R
\name{derived_ts_vars}
\alias{derived_ts_vars}
\alias{derived_ts}
\title{Derivation of Behavioral Variables}
\usage{
derived_ts_vars(dat, grx = NULL, td = NULL, ID = NULL,
  ex_cols = NULL, x_list = NULL, der = c("cvs", "sums", "means",
  "maxs", "max_mins", "time_intervals", "cnt_intervals", "total_pcts",
  "cum_pcts", "partial_acfs"), parallel = TRUE, note = TRUE)

derived_ts(dat, grx_x = NULL, x_list = NULL, td = NULL, ID = NULL,
  ex_cols = NULL, der = c("cvs", "sums", "means", "maxs", "max_mins",
  "time_intervals", "cnt_intervals", "total_pcts", "cum_pcts",
  "partial_acfs"))
}
\arguments{
\item{dat}{A data.frame contained only predict variables.}

\item{grx}{Regular expressions used to match variable names.}

\item{td}{Number of variables to derivate.}

\item{ID}{The name of ID of observations or key variable of data. Default is NULL.}

\item{ex_cols}{A list of excluded variables. Regular expressions can also be used to match variable names. Default is NULL.}

\item{x_list}{Names of independent variables.}

\item{der}{Variables to derivate}

\item{parallel}{Logical, parallel computing. Default is FALSE.}

\item{note}{Logical, outputs info. Default is TRUE.}

\item{grx_x}{Regular expression used to match a group of variable names.}
}
\description{
This function is used for derivating behavioral variables and is not intended to be used by end user.
}
\details{
The key to creating a good model is not the power of a specific modelling technique, but the breadth and depth of derived variables that represent a higher level of knowledge about the phenomena under examination.
}
